<?php

$Permissoes = User::getUser(true);

if ($Permissoes->FUN_TBL_RAMOS_DE_ATIVIDADE == 1) {

    class RamosAtividadesController extends GxController {

        var $help = 'Ramo de Atividade é a área de mercado na qual o prospecto/cliente está inserido. O cadastro pode ser acessado no menu Comercial -> Ramos de Atividades. ';

        public function actionView($id) {
            $this->render('view', array(
                'model' => $this->loadModel($id, 'RamosAtividades'),
            ));
        }

        public function actionCreate() {
            $model = new RamosAtividades;


            if (isset($_POST['RamosAtividades'])) {
                $model->setAttributes($_POST['RamosAtividades']);

                if ($model->save()) {
                    if (Yii::app()->getRequest()->getIsAjaxRequest())
                        Yii::app()->end();
                    else
                        $this->redirect(array('view', 'id' => $model->RAM_IDRAMO));
                }
            }

            $this->render('create', array('model' => $model));
        }

        public function actionUpdate($id) {
            $model = $this->loadModel($id, 'RamosAtividades');


            if (isset($_POST['RamosAtividades'])) {
                $model->setAttributes($_POST['RamosAtividades']);

                if ($model->save()) {
                    $this->redirect(array('view', 'id' => $model->RAM_IDRAMO));
                }
            }

            $this->render('update', array(
                'model' => $model,
            ));
        }

        public function actionDelete($id) {
            if (Yii::app()->getRequest()->getIsPostRequest()) {
                $this->loadModel($id, 'RamosAtividades')->delete();

                if (!Yii::app()->getRequest()->getIsAjaxRequest())
                    $this->redirect(array('admin'));
            } else
                throw new CHttpException(400, 'Sua solicitação é inválida.');
        }

        public function actionAdmin() {
            $model = new RamosAtividades('search');
            $model->unsetAttributes();

            if (isset($_GET['RamosAtividades']))
                $model->setAttributes($_GET['RamosAtividades']);

            $this->render('admin', array(
                'model' => $model,
            ));
        }

        public function actionFiltroramo() {

            $lista = RamosAtividades::model()->findAll("(RAM_DESCRICAO like '%" . addslashes($_GET['term']) . "%' or RAM_DESCRICAO like '%" . addslashes(utf8_decode($_GET['term'])) . "%') and RAM_SITUACAO = 'A' order by RAM_DESCRICAO");
            $resultados = array();
            foreach ($lista as $list) {
                $resultados[] = array(
                    'id' => $list->RAM_IDRAMO,
                    'text' => $list->RAM_DESCRICAO,
                );
            }
            echo CJSON::encode($resultados);
        }

    }

} else {

    class RamosAtividadesController extends GxController {

        public function actionFiltroramo() {

            $lista = RamosAtividades::model()->findAll("(RAM_DESCRICAO like '%" . addslashes($_GET['term']) . "%' or RAM_DESCRICAO like '%" . addslashes(utf8_decode($_GET['term'])) . "%') and RAM_SITUACAO = 'A' order by RAM_DESCRICAO");
            $resultados = array();
            foreach ($lista as $list) {
                $resultados[] = array(
                    'id' => $list->RAM_IDRAMO,
                    'text' => $list->RAM_DESCRICAO,
                );
            }
            echo CJSON::encode($resultados);
        }

    }

}